import { PeerList } from './list.js';
import type { Metrics } from '@libp2p/interface';
export interface TrackedPeerListInit {
    name: string;
    metrics?: Metrics;
}
/**
 * Creates a PeerList that reports it's size to the libp2p Metrics service
 *
 * @example
 *
 * ```Typescript
 * import { trackedPeerList } from '@libp2p/peer-collections'
 * import { createLibp2p } from 'libp2p'
 *
 * const libp2p = await createLibp2p()
 *
 * const list = trackedPeerList({ name: 'my_metric_name', metrics: libp2p.metrics })
 * list.push(peerId)
 * ```
 */
export declare function trackedPeerList(config: TrackedPeerListInit): PeerList;
//# sourceMappingURL=tracked-list.d.ts.map